package com.bytedance.android.livesdk.livesetting.gift;

import X.7he;
import X.Crj;
import X.HRL;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("gift_panel_view_eager_init")
public final class LiveGiftPanelLeafEagerInit {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final LiveGiftPanelLeafEagerInit INSTANCE = new LiveGiftPanelLeafEagerInit();
    public static final Crj enable$delegate = 7he.LIZ(HRL.LIZ);

    public final boolean getEnable() {
        return ((Boolean) enable$delegate.getValue()).booleanValue();
    }

    public final boolean getValue() {
        return SettingsManager.INSTANCE.getBooleanValue(LiveGiftPanelLeafEagerInit.class);
    }

    static {
        Covode.recordClassIndex(17838);
    }
}
